package models

import (
	"time"
)

type CmTreeContracts struct {
	Id           int       `xorm:"not null pk comment('自增ID') INT(11)"`
	TreeId       int       `xorm:"not null comment('树ID') INT(11)"`
	ParentId     int       `xorm:"not null comment('父级ID') INT(11)"`
	Name         string    `xorm:"not null comment('名称') VARCHAR(64)"`
	Code         string    `xorm:"comment('项目节编号') VARCHAR(32)"`
	Code2        string    `xorm:"comment('项目节编号2') VARCHAR(512)"`
	Depth        int       `xorm:"not null comment('深度') TINYINT(4)"`
	Serial       int       `xorm:"not null comment('序号') INT(11)"`
	Attribution  string    `xorm:"comment('归属') VARCHAR(32)"`
	Sort         int       `xorm:"not null comment('排序') TINYINT(4)"`
	ContractId   int       `xorm:"not null comment('合同ID') INT(11)"`
	ContractName string    `xorm:"comment('合同名称') VARCHAR(64)"`
	ContractCode string    `xorm:"comment('合同编号') VARCHAR(32)"`
	CreateTime   time.Time `xorm:"comment('创建时间') DATETIME"`
}
